## alsaplayer 0.99.82

=== attic/experimental/ape/Makefile ===
PREFIX? = /usr/local

# choose suitable compiler
CC = gcc

CFLAGS =	-fPIC -DBUILD_CROSS_PLATFORM -I$(PREFIX)

LINKER_FLAGS   = -L${PREFIX}/lib -lmac
LINKER_OBJECTS = mac_engine.o

# bumps the empty 'make' command

all: $(LINKER_OBJECTS)
	$(CC) -shared mac_engine.o $(LINKER_FLAGS) -o mac_engine.so

.cpp.o:
	$(CC) -c $(CFLAGS) -o $@ $<

install:
	cp mac_engine.so $(PREFIX)/lib/alsaplayer/input/
clean:
	rm -f $(LINKER_OBJECTS) mac_engine.so *~

=== attic/experimental/ffmpeg/Makefile ===
PREFIX? = /usr

# choose suitable compiler
COMPILATOR = g++

DEBUG =		-Wall -O2
CFLAGS =	-fPIC
CPPFLAGS =	-I$(PREFIX)/include `pkg-config libavcodec libavformat --cflags` 

LINKER_FLAGS   = -L${PREFIX}/lib `pkg-config libavcodec libavformat --libs` 
LINKER_OBJECTS = ffmpeg_engine.o

# bumps the empty 'make' command

all: $(LINKER_OBJECTS)
	$(CC) -shared -fPIC $(LINKER_OBJECTS) $(LINKER_FLAGS) -o ffmpeg_engine.so

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

install:
	cp ffmpeg_engine.so $(PREFIX)/lib/alsaplayer/input/

clean:
	rm -f *.so *.o *~

=== attic/experimental/tta/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2005/03/21 17:17:16 peter_lemenkov Exp $
#

CC	= gcc

PREFIX? = /usr
DEBUG =		-Wall -O2
CFLAGS =	-fPIC
CPPFLAGS =	-I$(PREFIX)/include/alsaplayer 

LINKER_FLAGS   = 
LINKER_OBJECTS = tta_engine.o \
		 ttadec.o

all: $(LINKER_OBJECTS)
	$(CC) -fPIC -shared $(LINKER_OBJECTS) $(LINKER_FLAGS) -o tta_engine.so

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

install:
	cp tta_engine.so $(PREFIX)/lib/alsaplayer/input/

clean:
	rm -f *.o *.lo *~ *.so

=== attic/experimental/wv/Makefile ===
PREFIX? = /usr

# choose suitable compiler
COMPILATOR = gcc

DEBUG =		-Wall -O2
CFLAGS =	-fPIC
CPPFLAGS =	-I$(PREFIX)/include

LINKER_FLAGS   = -L${PREFIX}/lib -lwavpack
LINKER_OBJECTS = wv_engine.o

# bumps the empty 'make' command

all: $(LINKER_OBJECTS)
	$(CC) -shared -fPIC $(LINKER_OBJECTS) $(LINKER_FLAGS) -o wv_engine.so

.cpp.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

install:
	cp wv_engine.so $(PREFIX)/lib/alsaplayer/input/

clean:
	rm -f *.so *.o *~

## alsaplayer 0.99.81

=== debian/changelog ===
alsaplayer (0.99.81-2build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:37:16 +0000

alsaplayer (0.99.81-2build5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:47:49 +0000

alsaplayer (0.99.81-2build4) lunar; urgency=medium

  * No-change rebuild against libflac++10 & libflac12.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 17:24:00 +0000

alsaplayer (0.99.81-2build3) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 15:10:10 -0500

alsaplayer (0.99.81-2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:02:04 +0100

alsaplayer (0.99.81-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:31:21 +0000

alsaplayer (0.99.81-2) unstable; urgency=medium

  * debian/control: update vcs locations
  * debian/rules: disable esd
  * debian/: remove -esd package
  * debian/control: remove libesd0-dev b-d
  * debian/control: add replaces/conflicts -esd to -alsa (closes: #845568)
  * debian/control: add 'Multi-Arch: same' to libalsaplayer0
  * debian/*.dirs: remove, unused
  * debian/*.preinst: remove old upgrade scripts
  * debian/*.menu: removed old menu entries
  * debian/rules: rewrite to use new debhelper and dh-autoreconf
  * debian/control: bump to debhelper 8.0.0, add dh-autoreconf, remove quilt
  * debian/*.install: switch to /usr/lib/<triplet>
  * debian/compat: bump to 9
  * debian/patches/07_mimetype.dpatch: add %U and update description
  * debian/patches/series: drop 40_libtool_ppc64el.patch (closes: #745961)

 -- Paul Brossier <piem@piem.org>  Fri, 25 Nov 2016 13:33:59 +0100

alsaplayer (0.99.81-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU, thanks to Moritz Muehlenhoff (closes: #638582, #654518)
  * debian/control: add ${misc:Depends}, thanks to Benjamin Kerensa
    (closes: #692546)
  * debian/libalsaplayer-dev.install: do not install .la file
  * debian/source/format: add format file, set to 3.0 (quilt)
  * debian/control: bump Standards-Version to 3.9.5
  * debian/control: remove Tony from Maintainers
  * debian/control: depends on libmikmod-dev
  * debian/control: simplify short and long description (closes: #550281)
  * debian/*.mime: add audio/flac (closes: #726657)
  * debian/patches/20_http_double_free.dpatch: update
  * debian/patches/30_const_char.dpatch: remove merged hunks
  * debian/patches/40_libtool_ppc64el.patch: manually update aclocal.m4 and
    configure to add support for ppc64el, thanks Logan Rosen (closes: 737670)
  * debian/patches/50_fix_J_option.patch: fix segfault with -J, thanks to Sang
    Kil Cha (closes: #680973)
  * debian/{control,copyright,watch}: update homepage

 -- Paul Brossier <piem@debian.org>  Mon, 17 Mar 2014 01:49:08 -0300

alsaplayer (0.99.80-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Only build on alsaplayer-alsa on Linux (Closes: #638582)
  * Enable hardened build flags and fixup format strings issues spotted
    by -Werror=format-security (Closes: #654518)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 06 Apr 2012 11:53:14 +0200

alsaplayer (0.99.80-5) unstable; urgency=low

  * debian/patches/30_const_char.dpatch: added patch to fix const char
    conversion issue (closes: #560467)
  * debian/control: switch to quilt
  * debian/patches/ rename 00list to series
  * debian/README.source: switch to quilt
  * debian/control: update Vcs- fields

 -- Paul Brossier <piem@debian.org>  Sat, 19 Dec 2009 18:41:35 +0100

alsaplayer (0.99.80-4) unstable; urgency=low

  [Tony Palma]
  * New maintainer. Closes: #517341.
  * Acknowledge NMUs (Closes: #518734.)
  * Add cross build detection on debian/rules Closes: #542526.
  * Fix lintian warnings: (Closes: #538213.)
    - Bump standards-version to 3.8.3
    - Change the package dependency with revision to non-revision version.
    - dh_desktop was removed from debian/rules
  * Fix the syntax error on debian/watch
  * Removed the alsaplayer-text menu entry. Closes: #530756.
  * Move alsaplayer.desktop from common to gtk. Closes: #530755.
  * Mime error on .desktop. Closes: #544304.
    * Add patch: 07_mimetype.dpatch
      Thanks Nick Leverton <nick@leverton.org>. 
  * New libraries fix depends error. Closes: #508142.

  [Paul Brossier]
  * Move config.{sub,guess} update from debian/rules to
    debian/patches/10_uptodate_configure
  * Remove all obsolete patches from debian/patches
  * Add debian/README.source 
  * Add patch 06_ftbfs_fix from Ubuntu
  * Change Build-Depends from xlibmesa-gl-dev to libgl1-mesa-dev
  * Change Build-Depends from libflac-dev (>= 1.1.4.-1) to (>= 1.1.4)
  * Remove 'Apps/' from libalsaplayer-dev.doc-base Section
  * Use GTK+, not GTK in short and long packages descriptions
  * Update debian/copyright to list different contributors
  * Add Vcs-Svn and Vcs-Browser fields to debian/control
  * debian/control: span Build-Depends on multiple line
  * debian/patches/20_http_double_free.dpatch: Avoid double free when uri
    parsing failed (closes: #508142)

 -- Paul Brossier <piem@debian.org>  Wed, 16 Sep 2009 01:59:35 +0200

alsaplayer (0.99.80-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing <climits> include (Closes: #518734):
     * Add patch: 06_climits.dpatch
  * Set urgency to “medium”, this bug affects testing too.
  * Switch from obsolete “xlibmesa-gl-dev | libgl-dev” to libgl1-mesa-dev
    in Build-Depends.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Jul 2009 15:09:12 +0200

alsaplayer (0.99.80-3) unstable; urgency=low

  * debian/alsaplayer-xosd.menu: The xosd interface really shouldn't need to be


=== debian/control ===
Source: alsaplayer
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Standards-Version: 3.9.8
Homepage: http://alsaplayer.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/alsaplayer.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/alsaplayer.git/
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               libasound2-dev,
               libgtk2.0-dev,
               libmikmod-dev,
               libaudio-dev,
               libogg-dev,
               libvorbis-dev,
               libtool,
               libgl1-mesa-dev | libgl-dev,
               libmad0-dev,
               libid3tag0-dev,
               zlib1g-dev,
               libjack-dev,
               libflac-dev (>= 1.1.4),
               libxosd-dev,
               libsndfile1-dev,
               doxygen,
               libxt-dev

Package: alsaplayer-common
Architecture: any
Provides: alsaplayer
Depends: ${shlibs:Depends}, ${misc:Depends}, alsaplayer-alsa | alsaplayer-output, alsaplayer-gtk | alsaplayer-interface
Description: audio player (common files)
 Alsaplayer is a PCM player designed specifically for use with ALSA, but
 works great with OSS or EsounD. It's heavily threaded which cuts down on
 skipping, offers optional and even simultaneous visual scopes, plays
 mp3, mp2, ogg, cdda, audiofs, and lots more.
 .
 This package contains the main alsaplayer program, and needs one interface
 plugin and one output plugin. By default, GTK+ interface and alsa output will
 be installed.

Package: alsaplayer-gtk
Architecture: any
Provides: alsaplayer-interface
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer gtk interface
 This package provides a GTK+ interface to alsaplayer, an audio player.

Package: alsaplayer-text
Architecture: any
Provides: alsaplayer-interface
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer text interface
 This package provides a text interface to alsaplayer, an audio player, and
 does not require X or GTK+ to run.

Package: alsaplayer-daemon
Architecture: any
Provides: alsaplayer-interface
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer daemon
 This package provides a non-interactive interface to alsaplayer, an audio
 player, so that it will be accessible via a remote control application.

Package: alsaplayer-xosd
Architecture: any
Provides: alsaplayer-interface
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer XOSD display module
 This package provides a non-interactive interface to alsaplayer, an audio
 player. Information about the file currently being played will be displayed on
 screen through the X On-Screen Display library (xosd).

Package: alsaplayer-oss
Architecture: any
Provides: alsaplayer-output
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer output module for OSS
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through OSS devices.

Package: alsaplayer-alsa
Architecture: linux-any
Provides: alsaplayer-output
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Replaces: alsaplayer-esd
Conflicts: alsaplayer-esd
Description: alsaplayer output module for ALSA
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through ALSA devices.

Package: alsaplayer-nas
Architecture: any
Provides: alsaplayer-output
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer output module for NAS
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through the Network Audio System (NAS).

Package: alsaplayer-jack
Architecture: any
Provides: alsaplayer-output
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsaplayer-common
Description: alsaplayer output module for JACK
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through JACK.

Package: libalsaplayer0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alsaplayer plugin library
 This package contains the interface library for alsaplayer plugins.

Package: libalsaplayer-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libalsaplayer0 (= ${binary:Version})
Description: alsaplayer plugin library (development files)
 This package contains the development files for the alsaplayer interface
 library to create your own alsaplayer plugins.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-alsa --enable-oss --disable-esd --enable-nas \
		--enable-jack --enable-oggvorbis=yes --enable-audiofile=no \
		--enable-static --enable-shared

## alsaplayer 0.99.82

=== debian/changelog ===
alsaplayer (0.99.82-4) unstable; urgency=medium

  * I really intend to maintain this package in Multimedia team
    Closes: #1122916
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 09:58:16 +0100

alsaplayer (0.99.82-3) unstable; urgency=medium

  * QA upload
  * debian/control: Properly orphan the package.
    This should have been done instead of #1077971.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Dec 2025 17:28:13 +0100

alsaplayer (0.99.82-2) unstable; urgency=medium

  * Team upload
  * Drop alsaplayer-gtk package (Closes: #967251)

 -- Bastian Germann <bage@debian.org>  Thu, 12 Dec 2024 20:15:52 +0100

alsaplayer (0.99.82-1) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Marriott NZ ]
  * Fix mailcap entries with quoted %-escapes
    Closes: #987421

  [ Andreas Tille ]
  * New upstream version
  * Move packaging to Debian Multimedia Maintainers
    Closes: #1077971
  * Add icon
    Closes: #928330
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * debian/watch
     * format version to 4.
     * Point watch file to Github
  * Use secure URI in Homepage field.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package libgl1-mesa-dev
      with replacement libgl-dev, libglvnd-dev.
  * Install translations
  * Silence dh_missing
  * Enhance short description of alsaplayer-daemon package to fix lintian error
  * Add hardening build flags
  * Depends: alsaplayer-common for all frontend packages
    Closes: #668468, #721371
  * DEP5
  * Refer to specific version of license GPL-3+.
  * Update configure.ac
  * Build-Depends: intltool
  * Fix configure.ac to provide proper GETTEXT_PACKAGE variable
  * Provide alsaplayer-text as default alsaplayer-interface to loosen the
    dependency from alsaplayer-gtk which might be removed in future (see
    bug #967251)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2024 10:16:47 +0200

=== debian/control ===
Source: alsaplayer
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libglib2.0-dev,
               libmikmod-dev,
               libaudio-dev,
               libogg-dev,
               libvorbis-dev,
               libmad0-dev,
               libid3tag0-dev,
               zlib1g-dev,
               libjack-dev,
               libflac-dev,
               libxosd-dev,
               libsndfile1-dev,
               doxygen,
               libxt-dev,
               intltool
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/alsaplayer
Vcs-Git: https://salsa.debian.org/multimedia-team/alsaplayer.git
Homepage: https://alsaplayer.sourceforge.net/
Rules-Requires-Root: no

Package: alsaplayer-common
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-alsa | alsaplayer-output,
         alsaplayer-text | alsaplayer-interface
Provides: alsaplayer
Description: audio player (common files)
 Alsaplayer is a PCM player designed specifically for use with ALSA, but
 works great with OSS or EsounD. It's heavily threaded which cuts down on
 skipping, offers optional and even simultaneous visual scopes, plays
 mp3, mp2, ogg, cdda, audiofs, and lots more.
 .
 This package contains the main alsaplayer program, and needs one interface
 plugin and one output plugin. By default, GTK+ interface and alsa output will
 be installed.

Package: alsaplayer-text
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Provides: alsaplayer-interface
Description: alsaplayer text interface
 This package provides a text interface to alsaplayer, an audio player, and
 does not require X or GTK+ to run.

Package: alsaplayer-daemon
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Provides: alsaplayer-interface
Description: non-interactive interface to alsaplayer (daemon)
 This package provides a non-interactive interface to alsaplayer, an audio
 player, so that it will be accessible via a remote control application.

Package: alsaplayer-xosd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Provides: alsaplayer-interface
Description: alsaplayer XOSD display module
 This package provides a non-interactive interface to alsaplayer, an audio
 player. Information about the file currently being played will be displayed on
 screen through the X On-Screen Display library (xosd).

Package: alsaplayer-oss
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Provides: alsaplayer-output
Description: alsaplayer output module for OSS
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through OSS devices.

Package: alsaplayer-alsa
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Conflicts: alsaplayer-esd
Provides: alsaplayer-output
Replaces: alsaplayer-esd
Description: alsaplayer output module for ALSA
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through ALSA devices.

Package: alsaplayer-nas
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Provides: alsaplayer-output
Description: alsaplayer output module for NAS
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through the Network Audio System (NAS).

Package: alsaplayer-jack
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         alsaplayer-common
Provides: alsaplayer-output
Description: alsaplayer output module for JACK
 This package provides a module for alsaplayer, an audio player, that will
 output the sound through JACK.

Package: libalsaplayer0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: alsaplayer plugin library
 This package contains the interface library for alsaplayer plugins.

Package: libalsaplayer-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libalsaplayer0 (= ${binary:Version})
Description: alsaplayer plugin library (development files)
 This package contains the development files for the alsaplayer interface
 library to create your own alsaplayer plugins.

=== debian/watch ===
Version: 5

Template: Github
Owner: alsaplayer
Project: alsaplayer
